Next: EXPONENT, Previous: EXIT, Up: Intrinsic Procedures [Contents][Index]

### 9.102 `EXP` — Exponential function

Description:

  `EXP(X)` computes the base e exponential of X.

Standard:

  Fortran 77 and later, has overloads that are GNU extensions

Class:

  Elemental function

Syntax:

  `RESULT = EXP(X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:

  The return value has same type and kind as X.

Example:

      program test_exp
        real :: x = 1.0
        x = exp(x)
      end program test_exp

Specific names:

  Name | Argument | Return type | Standard
  `EXP(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DEXP(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later
  `CEXP(X)` | `COMPLEX(4) X` | `COMPLEX(4)` | Fortran 77 and later
  `ZEXP(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension
  `CDEXP(X)` | `COMPLEX(8) X` | `COMPLEX(8)` | GNU extension